<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="ifnlt"></a></p>
<h2><a class="anchor" id="ifnlt"></a>
ifnlt</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Branch if the first value is not less than the second value.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">ifnlt
offset
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">ifnlt = 12 (0x0c)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., value1, value2 =&gt; ...
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>offset is an s24 that is the number of bytes to jump if value1 is not less than value2.</p>
<p>Compute value1 &lt; value2 using the abstract relational comparison algorithm in ECMA-262 section 11.8.5. If the result of the comparison is false, then jump the number of bytes indicated by offset. Otherwise continue executing code from this point.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>None.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>This appears to have the same effect as ifge, however, their handling of NaN is different. If either of the compared values is NaN then the comparison value1 &lt; value2 will return undefined. In that case ifnlt will branch (undefined is not true), but ifge will not branch. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
